using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.MeetingSummaryTodo
{
    public interface IMeetingSummaryTodoRepository : IRepository
    {
        Task<Entity.WorkMeeting.MeetingSummaryTodo> GetAsync(int id);

        Task<Entity.WorkMeeting.MeetingSummaryTodo> GetAsync(SqlKata.Query query);
        Task<IEnumerable<Entity.WorkMeeting.MeetingSummaryTodo>> GetAllAsync(SqlKata.Query query);
        Task<bool> DeleteAsync(SqlKata.Query query);

        Task<int> InsertAsync(Entity.WorkMeeting.MeetingSummaryTodo flowAttachment);

        Task<bool> UpdateAsync(Entity.WorkMeeting.MeetingSummaryTodo flowAttachment);
        Task<bool> UpdateAsync(SqlKata.Query query);
        /// <summary>
        /// 添加工作流附件
        /// </summary>
        /// <param name="flowAttachments"></param>
        /// <returns></returns>
        Task<bool> InsertsAsync(List<Entity.WorkMeeting.MeetingSummaryTodo> flowAttachments);
    }
}